Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# TAO_DIOP_Acceptor Class Reference

TAO_DIOP_Acceptor. More...

`#include <DIOP_Acceptor.h>`

Inheritance diagram for TAO_DIOP_Acceptor

[legend]
Collaboration diagram for TAO_DIOP_Acceptor:

[legend]
List of all members.

## Public Methods
| TAO_DIOP_Acceptor (CORBA::Boolean flag = 0)
| Constructor.
| ~TAO_DIOP_Acceptor (void)
| Destructor.
const ACE_INET_Addr& | address (void) const
| Helper method for the implementation repository, should go away. More...
const ACE_INET_Addr* | endpoints (void)
| Returns the array of endpoints in this acceptor.
virtual int | open (TAO_ORB_Core *orb_core, ACE_Reactor *reactor, int version_major, int version_minor, const char *address, const char *options = 0)
virtual int | open_default (TAO_ORB_Core *orb_core, ACE_Reactor *reactor, int version_major, int version_minor, const char *options = 0)
virtual int | close (void)
virtual int | create_profile (const TAO_ObjectKey &object_key, TAO_MProfile &mprofile, CORBA::Short priority)
virtual int | is_collocated (const TAO_Endpoint *endpoint)
virtual CORBA::ULong | endpoint_count (void)
virtual int | object_key (IOP::TaggedProfile &profile, TAO_ObjectKey &key)
int | hostname (TAO_ORB_Core *orb_core, ACE_INET_Addr &addr, char *&host, const char *specified_hostname = 0)
int | dotted_decimal_address (ACE_INET_Addr &addr, char *&host)
## Protected Methods
virtual int | open_i (const ACE_INET_Addr &addr, ACE_Reactor *reactor)
int | probe_interfaces (TAO_ORB_Core *orb_core)
virtual int | parse_options (const char *options)
| Parse protocol specific options.
int | init_tcp_properties (void)
| Obtain tcp properties that must be used by this acceptor, i.e., initialize <tcp_properties_>.
int | create_new_profile (const TAO_ObjectKey &object_key, TAO_MProfile &mprofile, CORBA::Short priority)
| Helper method to add a new profile to the mprofile for each endpoint.
int | create_shared_profile (const TAO_ObjectKey &object_key, TAO_MProfile &mprofile, CORBA::Short priority)
| Helper method to create a profile that contains all of our endpoints.
## Protected Attributes
ACE_INET_Addr* | addrs_
| Array of ACE_INET_Addr instances, each one corresponding to a given network interface.
char** | hosts_
size_t | endpoint_count_
| The number of host names cached in the hosts_ array (equivalent to the number of endpoints opened by this Acceptor).
TAO_GIOP_Message_Version | version_
TAO_ORB_Core* | orb_core_
| ORB Core.
TAO_DIOP_Properties | tcp_properties_
| TCP configuration properties to be used for all connections opened by this acceptor.
CORBA::Boolean | lite_flag_
| Should we use GIOP lite??
## Private Attributes
TAO_DIOP_Connection_Handler* | connection_handler_

## Detailed Description

TAO_DIOP_Acceptor.

The DIOP-specific bridge class for the concrete acceptor.

## Constructor & Destructor Documentation

TAO_DIOP_Acceptor::TAO_DIOP_Acceptor ( | CORBA::Boolean flag = 0 )

| Constructor.

TAO_DIOP_Acceptor::~TAO_DIOP_Acceptor ( | void )

| Destructor.

## Member Function Documentation

ACE_INLINE const ACE_INET_Addr & TAO_DIOP_Acceptor::address ( | void ) const

| Helper method for the implementation repository, should go away. @

virtual int TAO_DIOP_Acceptor::close ( | void )`[virtual]`

| Reimplemented from TAO_Acceptor.

int TAO_DIOP_Acceptor::create_new_profile ( | const TAO_ObjectKey & object_key,
| TAO_MProfile & mprofile,
| CORBA::Short priority )`[protected]`

| Helper method to add a new profile to the mprofile for each endpoint.

virtual int TAO_DIOP_Acceptor::create_profile ( | const TAO_ObjectKey & object_key,
| TAO_MProfile & mprofile,
| CORBA::Short priority )`[virtual]`

| Reimplemented from TAO_Acceptor.

int TAO_DIOP_Acceptor::create_shared_profile ( | const TAO_ObjectKey & object_key,
| TAO_MProfile & mprofile,
| CORBA::Short priority )`[protected]`

| Helper method to create a profile that contains all of our endpoints.

int TAO_DIOP_Acceptor::dotted_decimal_address ( | ACE_INET_Addr & addr,
| char *& host )

| Set the host name for the given address using the dotted decimal format.

virtual CORBA::ULong TAO_DIOP_Acceptor::endpoint_count ( | void )`[virtual]`

| Reimplemented from TAO_Acceptor.

ACE_INLINE const ACE_INET_Addr * TAO_DIOP_Acceptor::endpoints ( | void )

| Returns the array of endpoints in this acceptor.

int TAO_DIOP_Acceptor::hostname ( | TAO_ORB_Core * orb_core,
| ACE_INET_Addr & addr,
| char *& host,
| const char * specified_hostname = 0 )

| Set the host name for the given addr. A hostname may be forced by using specified_hostname. This is useful if the given address corresponds to more than one hostname and the desired one cannot be determined in any other way.

int TAO_DIOP_Acceptor::init_tcp_properties ( | void )`[protected]`

| Obtain tcp properties that must be used by this acceptor, i.e., initialize <tcp_properties_>.

virtual int TAO_DIOP_Acceptor::is_collocated ( | const TAO_Endpoint * endpoint )`[virtual]`

| Reimplemented from TAO_Acceptor.

virtual int TAO_DIOP_Acceptor::object_key ( | IOP::TaggedProfile & profile,
| TAO_ObjectKey & key )`[virtual]`

| Reimplemented from TAO_Acceptor.

int TAO_DIOP_Acceptor::open ( | TAO_ORB_Core * orb_core,
| ACE_Reactor * reactor,
| int version_major,
| int version_minor,
| const char * address,
| const char * options = 0 )`[virtual]`

| The TAO_Acceptor methods, check the documentation in Pluggable.h for details. Reimplemented from TAO_Acceptor.

virtual int TAO_DIOP_Acceptor::open_default ( | TAO_ORB_Core * orb_core,
| ACE_Reactor * reactor,
| int version_major,
| int version_minor,
| const char * options = 0 )`[virtual]`

| Reimplemented from TAO_Acceptor.

int TAO_DIOP_Acceptor::open_i ( | const ACE_INET_Addr & addr,
| ACE_Reactor * reactor )`[protected, virtual]`

| Implement the common part of the open*() methods. This method is virtual to allow a derived class implementation to be invoked instead.

int TAO_DIOP_Acceptor::parse_options ( | const char * options )`[protected, virtual]`

| Parse protocol specific options.

int TAO_DIOP_Acceptor::probe_interfaces ( | TAO_ORB_Core * orb_core )`[protected]`

| Probe the system for available network interfaces, and initialize the array with an ACE_INET_Addr for each network interface. The port for each initialized ACE_INET_Addr will be set in the open_i() method. This method only gets invoked when no explicit hostname is provided in the specified endpoint.

## Member Data Documentation

ACE_INET_Addr * TAO_DIOP_Acceptor::addrs_`[protected]`

| Array of ACE_INET_Addr instances, each one corresponding to a given network interface.

TAO_DIOP_Connection_Handler * TAO_DIOP_Acceptor::connection_handler_`[private]`

size_t TAO_DIOP_Acceptor::endpoint_count_`[protected]`

| The number of host names cached in the hosts_ array (equivalent to the number of endpoints opened by this Acceptor).

char ** TAO_DIOP_Acceptor::hosts_`[protected]`

| Cache the information about the endpoints serviced by this acceptor. There may in fact be multiple hostnames for this endpoint. For example, if the IP address is INADDR_ANY (0.0.0.0) then there will be possibly a different hostname for each interface.

CORBA::Boolean TAO_DIOP_Acceptor::lite_flag_`[protected]`

| Should we use GIOP lite??

TAO_ORB_Core * TAO_DIOP_Acceptor::orb_core_`[protected]`

| ORB Core.

TAO_DIOP_Properties TAO_DIOP_Acceptor::tcp_properties_`[protected]`

| TCP configuration properties to be used for all connections opened by this acceptor.

TAO_GIOP_Message_Version TAO_DIOP_Acceptor::version_`[protected]`

| The GIOP version for this endpoint @ Theoretically they shouldn't be here!! We need to look at a way to move this out

The documentation for this class was generated from the following files:

- DIOP_Acceptor.h
- DIOP_Acceptor.i